searchNodes=[{"type":"module","title":"EmailGuard","doc":"Checks given email against lists of email providers.Email lists included in this module are EmailGuard.DisposableList and EmailGuard.FreeList. See each module docs for further details.You can also provide your own list by implemented the EmailGuard.List behaviour and returning a list of domains.","ref":"EmailGuard.html"},{"type":"function","title":"EmailGuard.check/2","doc":"Checks if given email is present in email lists:iex&gt; EmailGuard.check(&quot;svilen@gmail.com&quot;) :okBy default it will check against EmailGuard.DisposableList:iex&gt; EmailGuard.check(&quot;svilen@mailinator.com&quot;) {:error, EmailGuard.DisposableList}You can specify the email list modules, e.g. including the provided one for free email service providers:iex&gt; lists = [EmailGuard.DisposableList, EmailGuard.FreeList] [EmailGuard.DisposableList, EmailGuard.FreeList] iex&gt; EmailGuard.check(&quot;svilen@gmail.com&quot;, lists) {:error, EmailGuard.FreeList}To provide your own custom lists, see the EmailGuard.List behaviour.You can also provide a domain, e.g. &quot;mailinator.com&quot; rather than an email.","ref":"EmailGuard.html#check/2"},{"type":"module","title":"EmailGuard.DisposableList","doc":"Contains list of providers of disposable email address (aka temp or burner emails).Largely based on: https://raw.githubusercontent.com/FGRibreau/mailchecker/master/list.txt","ref":"EmailGuard.DisposableList.html"},{"type":"module","title":"EmailGuard.FreeList","doc":"List of free email providers (such as gmail).Large based on: https://gist.github.com/ammarshah/f5c2624d767f91a7cbdc4e54db8dd0bfNote that domains of providers of disposable emails (which are often free) are part of EmailGuard.DisposableList and are not included here.","ref":"EmailGuard.FreeList.html"},{"type":"behaviour","title":"EmailGuard.List","doc":"Simple behaviour for lists of blacklisted domains.See EmailGuard.DisposableList for an example.","ref":"EmailGuard.List.html"},{"type":"callback","title":"EmailGuard.List.lookup/1","doc":"Returns the domain to guard against.","ref":"EmailGuard.List.html#c:lookup/1"},{"type":"extras","title":"EmailGuard","doc":"EmailGuard Elixir library for detecting disposable (burner) or personal email addresses.Focused on performance and features the largest database of domains availble.Comes with two lists out of the box:DisposableList - based on mailchecker's list, total 33,606 domains;FreeList - based on this list excl. already listed in DisposableList, total 5009 domains.You can also plug your own dataset by implementing the EmailGuard.List behaviour ✌️","ref":"readme.html"},{"type":"extras","title":"EmailGuard - Installation","doc":"Add to your mix.exs:def deps do [ {:email_guard, &quot;~&gt; 1.0&quot;} ] endIf you're not using application inference, then add :email_guard to your applications list.","ref":"readme.html#installation"},{"type":"extras","title":"EmailGuard - Usage","doc":"Checks if given email or domain is present in email lists:iex&gt; EmailGuard.check(&quot;svilen@gmail.com&quot;) :ok iex&gt; EmailGuard.check(&quot;gmail.com&quot;) :okBy default it will check against EmailGuard.DisposableList:iex&gt; EmailGuard.check(&quot;svilen@mailinator.com&quot;) {:error, EmailGuard.DisposableList}You can specify the email list modules, e.g. including the provided one for free email service providers:iex&gt; lists = [EmailGuard.DisposableList, EmailGuard.FreeList] [EmailGuard.DisposableList, EmailGuard.FreeList] iex&gt; EmailGuard.check(&quot;svilen@gmail.com&quot;, lists) {:error, EmailGuard.FreeList}To provide your own custom list see the EmailGuard.List behaviour.Note that EmailGuard expects a valid email address or domain as input.","ref":"readme.html#usage"},{"type":"extras","title":"EmailGuard - Benchmark","doc":"MIX_ENV=bench mix run bench/check_bench.exs","ref":"readme.html#benchmark"},{"type":"extras","title":"EmailGuard - License","doc":"See LICENSE file.","ref":"readme.html#license"}]